#!/bin/env python

import Gnuplot
import sys             

data = []
try:
	filename = sys.argv[1] 
	f = file(sys.argv[1], 'r')
	# wenn ein 'IndexError' ausgeloest wird,
	# brich den try-block ab und mache:
	try:
		index = 0
		for line in f:
			data.append([])
			line = line.replace('\n','')
			ar = line.split('\t')
			#data[index] = [ar[0],ar[1]]
			data[index] = ar[1]
			index=index+1
	finally:
		f.close()
		# versuche:
		try:
			xlabel = 'set xlabel \'' +sys.argv[2] + '\''
			# wenn ein 'IndexError' ausgeloest wird,
			# brich den try-block ab und mache:
		except IndexError:
			xlabel = 'set xlabel \'KeineAhnung\''
		
		# versuche:
		try:
			rawdata = sys.argv[3]
			ylabel = 'set ylabel \'' +sys.argv[3] + '\''
			# wenn ein 'IndexError' ausgeloest wird,
			# brich den try-block ab und mache:
		except IndexError:
			ylabel = 'set ylabel \'KeineAhnung\''
	
		gp = Gnuplot.Gnuplot(persist = 1) 
		gp('set title \''+filename+'\'')
		gp('set data style line')
		gp('set pointsize 3')
		gp('set grid')
		gp(xlabel)
		gp(ylabel)
		filename  += '.png'
		gp.plot(data)
		gp.hardcopy(filename,terminal="png") 
		gp.reset() 
		
except IndexError:
	print "Keine Argumente uebergeben\n"
	print "Der Aufruf sollte folgenermassen aussehen :\n"
	print "\t Kennlinie Messdatenfile Bezeichnung-X-Achse Bezeichnung-Y-Achse\n"
	print "\t Beispiel :\n"
	print "\t Kennlinie Diodenkennlinie 'Diodenspannung [Volt]' 'Diodenstrom [mA]'\n"
